[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrLen

Length of a null-terminated string.

## Declaration

Source position: syspchh.inc line 18

`function strlen(`
`p: pchar`
`):sizeint; overload; function StrLen(`
`p: pwidechar`
`):sizeint; overload;`

## Description

Returns the length of the null-terminated string P. If P equals Nil then zero (0) is returned.

## Errors

None.

## See also

StrNew |  | Allocate room for new null-terminated string.

## Example

    Program Example1;

    Uses strings;

    { Program to demonstrate the StrLen function. }

    Const P : PChar = 'This is a constant pchar string';

    begin
      Writeln ('P         : ',p);
      Writeln ('length(P) : ',StrLen(P));
    end.